Skip to main content
GET
/
abdm
/
v1
/
profile
/
scan-and-pay
/
open-order
/
{request_id}
cURL
curl --request GET \
  --url https://api.eka.care/abdm/v1/profile/scan-and-pay/open-order/{request_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.eka.care/abdm/v1/profile/scan-and-pay/open-order/{request_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.eka.care/abdm/v1/profile/scan-and-pay/open-order/{request_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "abha_address": "<string>",
    "error": {
      "code": "<string>",
      "message": "<string>"
    },
    "intent": "<string>",
    "procedures": [
      {
        "category": "<string>",
        "services": [
          {
            "amount": 123,
            "description": "<string>",
            "name": "<string>",
            "serviceId": "<string>"
          }
        ]
      }
    ]
  },
  "request_id": "<string>"
}
{
  "code": 123,
  "error": "<string>",
  "source_error": {
    "code": "<string>",
    "message": "<string>"
  }
}
{
  "code": 123,
  "error": "<string>",
  "source_error": {
    "code": "<string>",
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The API requires a Bearer token (JWT) for authentication.

Headers

X-Pt-Id
string

Eka User ID (OID)

X-Partner-Pt-Id
string

Partner User ID

X-Hip-Id
string

Partner HIP ID

Path Parameters

request_id
string
required

Request ID

Response

OK

data
object
request_id
string
status
null | enum<string>
Available options:
REQUESTED_OPEN_ORDER,
PROCESSING_OPEN_ORDER,
REQUESTED_PATIENT_SELECT,
PROCESSING_PATIENT_SELECT,
PROCESSING_PATIENT_NOTIFY,
REQUESTING_PATIENT_NOTIFY,
ERROR
Example:

"REQUESTED_OPEN_ORDER"